<div align="center" style="margin-bottom: 20px;">
<img src="https://github.com/gatsbyjs/gatsby/raw/master/packages/gatsby-source-wordpress/docs/assets/gatsby-wapuus.png" alt="Wapuu hugging a ball with the Gatsby logo on it" />
</div>

<p align="center">
  <a href="https://github.com/gatsbyjs/gatsby/blob/master/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="Gatsby and gatsby-source-wordpress are released under the MIT license." />
  </a>
  <a href="https://www.npmjs.com/package/gatsby-source-wordpress">
    <img src="https://img.shields.io/npm/v/gatsby-source-wordpress.svg" alt="Current npm package version." />
  </a>
  <a href="https://npmcharts.com/compare/gatsby-source-wordpress?minimal=true">
    <img src="https://img.shields.io/npm/dm/gatsby-source-wordpress.svg" alt="Downloads per month on npm." />
  </a>
  <a href="https://npmcharts.com/compare/gatsby-source-wordpress?minimal=true">
    <img src="https://img.shields.io/npm/dt/gatsby-source-wordpress.svg" alt="Total downloads on npm." />
  </a>
  <a href="https://gatsbyjs.com/contributing/how-to-contribute/">
    <img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg" alt="PRs welcome!" />
  </a>
  <a href="https://twitter.com/intent/follow?screen_name=gatsbyjs">
    <img src="https://img.shields.io/twitter/follow/gatsbyjs.svg?label=Follow%20@gatsbyjs" alt="Follow @gatsbyjs" />
  </a>
</p>

# gatsby-source-wordpress

Source data from WordPress in a scalable and efficient way with WPGraphQL 🚀

This plugin works by merging the [WPGraphQL schema & data](https://docs.wpgraphql.com/guides/about-wpgraphql/) with the [Gatsby schema & Node model](https://www.gatsbyjs.com/docs/node-model/) which allows us to efficiently cache WP data in Gatsby. What this means is that incremental builds, fast builds, and CMS Previews work beautifully! 💅

## Docs 📖

- 👩‍🎤 [Why use this plugin?](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/why-use-this-plugin.md)
- 🏃‍ [Installation & Getting started](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/getting-started.md)
- 🏫 [Tutorials](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/tutorials/index.md)
- 🐾 [Features](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/features/index.md)
- 🔌 [Plugin options](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/plugin-options.md)
- ⛵️ [Migrating from other WP source plugins](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/migrating-from-other-wp-source-plugins.md)
- 🏠 [Hosting WordPress](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/hosting.md)
- 👟 [Themes, Starters, and Examples](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/themes-starters-examples.md)
- 🏅 [Usage with popular WPGraphQL extensions](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/usage-with-popular-wp-graphql-extensions.md)
- 🛠 [Debugging and troubleshooting](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/debugging-and-troubleshooting.md)
- 🏞 [Community and Support](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/community-and-support.md)
- 🌻 [Contributing](https://github.com/gatsbyjs/gatsby/blob/master/packages/gatsby-source-wordpress/docs/contributing.md)
- 🧓 [v3 Documentation](https://github.com/gatsbyjs/gatsby/blob/1da331a5352e3f7cb18f69050b7199481d85fbcb/packages/gatsby-source-wordpress/README.md)

## Relevant Links 🔗

- [WPGatsby](https://github.com/gatsbyjs/wp-gatsby)
- [WPGraphQL](https://github.com/wp-graphql/wp-graphql)
- [Gatsby](https://www.gatsbyjs.com/)
- [WordPress](https://wordpress.com/)
